<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__uart_8h" kind="file" language="C++">
    <compoundname>cyhal_uart.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__uart_8c">cyhal_uart.c</includedby>
    <incdepgraph>
      <node id="435">
        <label>stdbool.h</label>
      </node>
      <node id="434">
        <label>stdint.h</label>
      </node>
      <node id="433">
        <label>cyhal_uart.h</label>
        <link refid="cyhal__uart_8h" />
        <childnode refid="434" relation="include">
        </childnode>
        <childnode refid="435" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcyhal__uart__cfg__t">cyhal_uart_cfg_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__uart_1ga10dd6d5d7975757a4d900ce6da3b002e" kind="define" prot="public" static="no">
        <name>CYHAL_UART_RSLT_ERR_INVALID_PIN</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5">CYHAL_RSLT_MODULE_UART</ref>, 0))</initializer>
        <briefdescription>
<para>The requested resource type is invalid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="111" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="111" />
      </memberdef>
      <memberdef id="group__group__hal__results__uart_1ga7f6b37c70d5a2e1f067c8248f631d4ab" kind="define" prot="public" static="no">
        <name>CYHAL_UART_RSLT_ERR_PM_CALLBACK</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5">CYHAL_RSLT_MODULE_UART</ref>, 1))</initializer>
        <briefdescription>
<para>Failed to configure power management callback. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="114" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="114" />
      </memberdef>
      <memberdef id="group__group__hal__results__uart_1ga264e4adc4d1c01e4c92aa93680e928ca" kind="define" prot="public" static="no">
        <name>CY_RSLT_ERR_CSP_UART_GETC_TIMEOUT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5">CYHAL_RSLT_MODULE_UART</ref>, 2))</initializer>
        <briefdescription>
<para>The getc call timed out with no received data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="117" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="117" />
      </memberdef>
      <memberdef id="group__group__hal__results__uart_1gab9e6c49a6d0947c7dc1594bb424555be" kind="define" prot="public" static="no">
        <name>CY_RSLT_WRN_CSP_UART_BAUD_TOLERANCE</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga5aa8f2db241158e42052d8940045d2a0">CY_RSLT_TYPE_WARNING</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5">CYHAL_RSLT_MODULE_UART</ref>, 3))</initializer>
        <briefdescription>
<para>The actual baud rate is greater than 10% off the requested baud rate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="120" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="120" />
      </memberdef>
      <memberdef id="group__group__hal__results__uart_1ga401cb100a470d77d6c1a55509fd480de" kind="define" prot="public" static="no">
        <name>CYHAL_UART_RSLT_ERR_SHARED_CLOCK</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5">CYHAL_RSLT_MODULE_UART</ref>, 4))</initializer>
        <briefdescription>
<para>Cannot change the UART baud rate when a shared clock divider is in use. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="123" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="123" />
      </memberdef>
      <memberdef id="group__group__hal__uart_1ga4b2c1534032adfc825026b5882fa2cd6" kind="define" prot="public" static="no">
        <name>CYHAL_UART_DEFAULT_BAUD</name>
        <initializer>115200</initializer>
        <briefdescription>
<para>The baud rate to set to if no clock is specified in the init function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="131" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="131" />
      </memberdef>
      <memberdef id="group__group__hal__uart_1ga9c1580a18947e5e976a997767b35b2c6" kind="define" prot="public" static="no">
        <name>CYHAL_UART_MAX_BAUD_PERCENT_DIFFERENCE</name>
        <initializer>10</initializer>
        <briefdescription>
<para>The maximum allowable difference between baud requested and actual baud. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="133" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="133" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__uart_1ga410f06ac3fe5576220caf146fda6b77b" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_uart_parity_t</name>
        <enumvalue id="group__group__hal__uart_1gga410f06ac3fe5576220caf146fda6b77ba327098a8b49fceb10e330d561019d8cb" prot="public">
          <name>CYHAL_UART_PARITY_NONE</name>
          <briefdescription>
<para>UART has no parity check. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__uart_1gga410f06ac3fe5576220caf146fda6b77ba47c0ca4d5811d418e1bdaea54da62f7f" prot="public">
          <name>CYHAL_UART_PARITY_EVEN</name>
          <briefdescription>
<para>UART has even parity check. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__uart_1gga410f06ac3fe5576220caf146fda6b77bad3844eeec5198449f882f5b3509282ea" prot="public">
          <name>CYHAL_UART_PARITY_ODD</name>
          <briefdescription>
<para>UART has odd parity check. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_uart_parity_t: </bold><linebreak />UART Parity.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="147" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="142" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="143" />
      </memberdef>
      <memberdef id="group__group__hal__uart_1gaf307283f3d358e4b6048846034df19aa" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_uart_event_t</name>
        <enumvalue id="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaadc15f333858441e62e2de2408a5ac767" prot="public">
          <name>CYHAL_UART_IRQ_NONE</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>No interrupt. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaaafb0642f2b2672db3ab4446e4c075864" prot="public">
          <name>CYHAL_UART_IRQ_TX_TRANSMIT_IN_FIFO</name>
          <initializer>= 1 &lt;&lt; 1</initializer>
          <briefdescription>
<para>All tx data from transmit has been moved to UART FIFO. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaa656718b2b8343a46a64478b1d415bfc4" prot="public">
          <name>CYHAL_UART_IRQ_TX_DONE</name>
          <initializer>= 1 &lt;&lt; 2</initializer>
          <briefdescription>
<para>All tx data has been transmitted. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaa9984c9f5e7f3b57c9740d390c35388db" prot="public">
          <name>CYHAL_UART_IRQ_TX_ERROR</name>
          <initializer>= 1 &lt;&lt; 3</initializer>
          <briefdescription>
<para>An error occurred in tx. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaa7d073741825cc32b1be09fa59d6c8123" prot="public">
          <name>CYHAL_UART_IRQ_RX_FULL</name>
          <initializer>= 1 &lt;&lt; 4</initializer>
          <briefdescription>
<para>The rx software buffer is full, additional data are store into fifo buffer. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaac2db86894106691360ad64c35d33b578" prot="public">
          <name>CYHAL_UART_IRQ_RX_DONE</name>
          <initializer>= 1 &lt;&lt; 5</initializer>
          <briefdescription>
<para>All rx data has been received. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaa7f5d1f47a602c8ac0df06c121bf4ce46" prot="public">
          <name>CYHAL_UART_IRQ_RX_ERROR</name>
          <initializer>= 1 &lt;&lt; 6</initializer>
          <briefdescription>
<para>An error occurred in rx. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaa9b64ead890054ee5943b58bafc0f367e" prot="public">
          <name>CYHAL_UART_IRQ_RX_NOT_EMPTY</name>
          <initializer>= 1 &lt;&lt; 7</initializer>
          <briefdescription>
<para>The rx hardware buffer is not empty. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaa0c7868cf2a2719db7fc2cb8c357e47a9" prot="public">
          <name>CYHAL_UART_IRQ_TX_EMPTY</name>
          <initializer>= 1 &lt;&lt; 8</initializer>
          <briefdescription>
<para>The tx hardware buffer is empty. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_uart_event_t: </bold><linebreak />Enum to enable/disable/report interrupt cause flags.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="161" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="150" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="151" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__uart_1gac444f4c849b289d99a75e0132f04fb65" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cyhal_uart_event_callback_t) (void *callback_arg, cyhal_uart_event_t event)</definition>
        <argsstring>)(void *callback_arg, cyhal_uart_event_t event)</argsstring>
        <name>cyhal_uart_event_callback_t</name>
        <briefdescription>
<para>UART callback function type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="180" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="180" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1gae62874a1a5484721c90ea53993d791d6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_init</definition>
        <argsstring>(cyhal_uart_t *obj, cyhal_gpio_t tx, cyhal_gpio_t rx, const cyhal_clock_t *clk, const cyhal_uart_cfg_t *cfg)</argsstring>
        <name>cyhal_uart_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>tx</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>rx</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref> *</type>
          <declname>clk</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__uart__cfg__t">cyhal_uart_cfg_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Initialize the UART peripheral. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This will set the baud rate to a default of &lt;a href="group__group__hal__uart.html#group__group__hal__uart_1ga4b2c1534032adfc825026b5882fa2cd6"&gt;CYHAL_UART_DEFAULT_BAUD&lt;/a&gt;. This can be changed by calling &lt;a href="group__group__hal__uart.html#group__group__hal__uart_1ga14dcad3682e9b49e70b7f1e77cd862cc"&gt;cyhal_uart_set_baud&lt;/a&gt;.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a UART object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">tx</parametername>
</parameternamelist>
<parameterdescription>
<para>The TX pin name, if no TX pin use NC </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">rx</parametername>
</parameternamelist>
<parameterdescription>
<para>The RX pin name, if no RX pin use NC </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">clk</parametername>
</parameternamelist>
<parameterdescription>
<para>The clock to use can be shared. If not provided, a new clock will be allocated and the default baud rate will be set </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART configuration data for data bits, stop bits and parity. If not provided, default values of (8, 1, none) will be used </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="379" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="269" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="201" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga51731996aca653fc76caee4cc7ad684f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_uart_free</definition>
        <argsstring>(cyhal_uart_t *obj)</argsstring>
        <name>cyhal_uart_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Release the UART peripheral. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="404" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="381" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="207" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga14dcad3682e9b49e70b7f1e77cd862cc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_set_baud</definition>
        <argsstring>(cyhal_uart_t *obj, uint32_t baudrate, uint32_t *actualbaud)</argsstring>
        <name>cyhal_uart_set_baud</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>baudrate</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>actualbaud</declname>
        </param>
        <briefdescription>
<para>Configure the baud rate. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function should only be called if a shared clock divider is not used i.e. the clock parameter is set to NULL when calling &lt;a href="group__group__hal__uart.html#group__group__hal__uart_1gae62874a1a5484721c90ea53993d791d6"&gt;cyhal_uart_init&lt;/a&gt;.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">baudrate</parametername>
</parameternamelist>
<parameterdescription>
<para>The baud rate to be configured </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">actualbaud</parametername>
</parameternamelist>
<parameterdescription>
<para>The actual baud rate achieved by the HAL Specify NULL if you do not want this information. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set_baud request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="466" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="406" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="220" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga4af8ba6ff0012214be498a001f1ac782" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_configure</definition>
        <argsstring>(cyhal_uart_t *obj, const cyhal_uart_cfg_t *cfg)</argsstring>
        <name>cyhal_uart_configure</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__uart__cfg__t">cyhal_uart_cfg_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Configure the data bits, stop bits, and parity. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART configuration data for data bits, stop bits and parity. rx_buffer and rx_buffer_size are ignored. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the configure request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="480" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="468" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="229" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga89108b2d339dc9863ec660588e3a4a12" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_getc</definition>
        <argsstring>(cyhal_uart_t *obj, uint8_t *value, uint32_t timeout)</argsstring>
        <name>cyhal_uart_getc</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>value</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>timeout</declname>
        </param>
        <briefdescription>
<para>Get a character. </para>        </briefdescription>
        <detaileddescription>
<para>This is a blocking call which waits till a character is received.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">value</parametername>
</parameternamelist>
<parameterdescription>
<para>The value read from the serial port </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">timeout</parametername>
</parameternamelist>
<parameterdescription>
<para>The time in ms to spend attempting to receive from serial port. Zero is wait forever </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the getc request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="507" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="482" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="239" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga2184202b0b3995fcf625caf9f8c3dc05" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_putc</definition>
        <argsstring>(cyhal_uart_t *obj, uint32_t value)</argsstring>
        <name>cyhal_uart_putc</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>value</declname>
        </param>
        <briefdescription>
<para>Send a character. </para>        </briefdescription>
        <detaileddescription>
<para>This is a blocking call which waits till the character is sent out from the UART completley.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">value</parametername>
</parameternamelist>
<parameterdescription>
<para>The character to be sent </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the putc request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="520" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="509" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="247" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1gad85e26dd47eecd9705ab1931253c20f1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_uart_readable</definition>
        <argsstring>(cyhal_uart_t *obj)</argsstring>
        <name>cyhal_uart_readable</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Check the number of bytes available to read from the receive buffers. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number of readable bytes </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="530" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="522" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="254" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga760296fe084b3e0ab3cdd1fba745a8b3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_uart_writable</definition>
        <argsstring>(cyhal_uart_t *obj)</argsstring>
        <name>cyhal_uart_writable</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Check the number of bytes than can be written to the transmit buffer. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number of bytes that can be written </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="535" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="532" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="261" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1gadc1932516baa1bd7285527a5a7456d75" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_clear</definition>
        <argsstring>(cyhal_uart_t *obj)</argsstring>
        <name>cyhal_uart_clear</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Clear the UART buffers. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the clear request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="548" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="537" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="268" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga318d61213f3485bbfbb723243f6a6b61" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_set_flow_control</definition>
        <argsstring>(cyhal_uart_t *obj, cyhal_gpio_t cts, cyhal_gpio_t rts)</argsstring>
        <name>cyhal_uart_set_flow_control</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>cts</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>rts</declname>
        </param>
        <briefdescription>
<para>Configure the UART for the flow control. </para>        </briefdescription>
        <detaileddescription>
<para>It sets flow control in the hardware if a UART peripheral supports it, otherwise software emulation is used.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cts</parametername>
</parameternamelist>
<parameterdescription>
<para>The TX pin name </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">rts</parametername>
</parameternamelist>
<parameterdescription>
<para>The RX pin name </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init_flow_control request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="613" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="550" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="278" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga2be8141bcc5fcc349b0dce1c09c4e98f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_write</definition>
        <argsstring>(cyhal_uart_t *obj, void *tx, size_t *tx_length)</argsstring>
        <name>cyhal_uart_write</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>tx</declname>
        </param>
        <param>
          <type>size_t *</type>
          <declname>tx_length</declname>
        </param>
        <briefdescription>
<para>Begin synchronous TX transfer. </para>        </briefdescription>
        <detaileddescription>
<para>This will write either length bytes or until the write buffer is full, whichever is less, then return. The value pointed to by length will be updated to reflect the number of bytes that were actually written.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">tx</parametername>
</parameternamelist>
<parameterdescription>
<para>The transmit buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="inout">tx_length</parametername>
</parameternamelist>
<parameterdescription>
<para>[in] The number of bytes to transmit, [out] number actually transmitted </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the tx request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="622" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="615" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="291" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1gae436ac5108e3bc92f439c66c315e07ca" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_read</definition>
        <argsstring>(cyhal_uart_t *obj, void *rx, size_t *rx_length)</argsstring>
        <name>cyhal_uart_read</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>rx</declname>
        </param>
        <param>
          <type>size_t *</type>
          <declname>rx_length</declname>
        </param>
        <briefdescription>
<para>Begin synchronous RX transfer (enable interrupt for data collecting) </para>        </briefdescription>
        <detaileddescription>
<para>This will read either length bytes or the number of bytes that are currently available in the receive buffer, whichever is less, then return. The value pointed to by length will be updated to reflect the number of bytes that were actually read.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">rx</parametername>
</parameternamelist>
<parameterdescription>
<para>The receive buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="inout">rx_length</parametername>
</parameternamelist>
<parameterdescription>
<para>[in] The number of bytes to receive, [out] number actually received </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the rx request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="631" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="624" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="304" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1gab569e52660c519b775e3a15f3e2dbb46" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_write_async</definition>
        <argsstring>(cyhal_uart_t *obj, void *tx, size_t length)</argsstring>
        <name>cyhal_uart_write_async</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>tx</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Begin asynchronous TX transfer. </para>        </briefdescription>
        <detaileddescription>
<para>This will transfer length bytes into the buffer pointed to by rx in the background. When the requested quantity of data has been read, the <ref kindref="member" refid="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaaafb0642f2b2672db3ab4446e4c075864">CYHAL_UART_IRQ_TX_TRANSMIT_IN_FIFO</ref> event will be raised. The transmit buffer is a user defined buffer that will be sent on the UART. The user must register a callback with <ref kindref="member" refid="group__group__hal__uart_1gae26bab64811713b1d69170352fe32c20">cyhal_uart_register_callback</ref>. If desired, TX callback events can be enabled using <ref kindref="member" refid="group__group__hal__uart_1ga4dae4cef7dbf1d7935fe6dd6d31f282e">cyhal_uart_enable_event</ref> with the appropriate events.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">tx</parametername>
</parameternamelist>
<parameterdescription>
<para>The transmit buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">length</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of bytes to transmit </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the tx_async request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="639" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="633" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="319" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga00ef108f7ee7beba3d5090b2e506b54f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_read_async</definition>
        <argsstring>(cyhal_uart_t *obj, void *rx, size_t length)</argsstring>
        <name>cyhal_uart_read_async</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>rx</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Begin asynchronous RX transfer. </para>        </briefdescription>
        <detaileddescription>
<para>This will transfer length bytes into the buffer pointed to by rx in the background. When the requested quantity of data has been read, the <ref kindref="member" refid="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaac2db86894106691360ad64c35d33b578">CYHAL_UART_IRQ_RX_DONE</ref> event will be raised. Received data is placed in the user specified buffer. The user must register a callback with <ref kindref="member" refid="group__group__hal__uart_1gae26bab64811713b1d69170352fe32c20">cyhal_uart_register_callback</ref>. RX callback events can be enabled using <ref kindref="member" refid="group__group__hal__uart_1ga4dae4cef7dbf1d7935fe6dd6d31f282e">cyhal_uart_enable_event</ref> with the appropriate events.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">rx</parametername>
</parameternamelist>
<parameterdescription>
<para>The user specified receive buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">length</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of bytes to receive </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the rx_async request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="647" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="641" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="334" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga5ee15173efae0edfa0813e8b78a1a467" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool cyhal_uart_is_tx_active</definition>
        <argsstring>(cyhal_uart_t *obj)</argsstring>
        <name>cyhal_uart_is_tx_active</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Attempts to determine if the UART peripheral is already in use for TX. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Is the TX channel active </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="652" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="649" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="341" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga84bd3dc69297980c77697dcecbac4a57" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool cyhal_uart_is_rx_active</definition>
        <argsstring>(cyhal_uart_t *obj)</argsstring>
        <name>cyhal_uart_is_rx_active</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Attempts to determine if the UART peripheral is already in use for RX. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Is the RX channel active </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="657" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="654" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="348" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1gaa143498ce81a014c19bcd1e8ad43a3f6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_write_abort</definition>
        <argsstring>(cyhal_uart_t *obj)</argsstring>
        <name>cyhal_uart_write_abort</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Abort the ongoing TX transaction. </para>        </briefdescription>
        <detaileddescription>
<para>It disables the enabled interupt for TX and flushes the TX hardware buffer if TX FIFO is used</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the tx_abort request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="663" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="659" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="356" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga94980c5a10527027be1da8e11bc34a98" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_uart_read_abort</definition>
        <argsstring>(cyhal_uart_t *obj)</argsstring>
        <name>cyhal_uart_read_abort</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Abort the ongoing read transaction. </para>        </briefdescription>
        <detaileddescription>
<para>It disables the enabled interrupt for RX and flushes the RX hardware buffer if RX FIFO is used</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the read_abort request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="669" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="665" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="364" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1gae26bab64811713b1d69170352fe32c20" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_uart_register_callback</definition>
        <argsstring>(cyhal_uart_t *obj, cyhal_uart_event_callback_t callback, void *callback_arg)</argsstring>
        <name>cyhal_uart_register_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__uart_1gac444f4c849b289d99a75e0132f04fb65">cyhal_uart_event_callback_t</ref></type>
          <declname>callback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
<para>Register a uart callback handler. </para>        </briefdescription>
        <detaileddescription>
<para>This function will be called when one of the events enabled by <ref kindref="member" refid="group__group__hal__uart_1ga4dae4cef7dbf1d7935fe6dd6d31f282e">cyhal_uart_enable_event</ref> occurs.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The callback handler which will be invoked when the interrupt fires </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>Generic argument that will be provided to the callback when called </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="680" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="671" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="374" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__uart_1ga4dae4cef7dbf1d7935fe6dd6d31f282e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_uart_enable_event</definition>
        <argsstring>(cyhal_uart_t *obj, cyhal_uart_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>cyhal_uart_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__uart_1gaf307283f3d358e4b6048846034df19aa">cyhal_uart_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Enable or disable specified UART events. </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__uart_1gae26bab64811713b1d69170352fe32c20">cyhal_uart_register_callback</ref> will be called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The UART object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>The uart event type, this argument supports the bitwise-or of multiple enum flag values </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on interrupts, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="712" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_uart.c" bodystart="682" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="384" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Cypress UART. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="90"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="99"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="comment">/****************************************************************</highlight></codeline>
<codeline lineno="102"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp />Defines</highlight></codeline>
<codeline lineno="103"><highlight class="comment">*****************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="preprocessor">#define<sp />CYHAL_UART_RSLT_ERR_INVALID_PIN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="112"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_UART,<sp />0))</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="preprocessor">#define<sp />CYHAL_UART_RSLT_ERR_PM_CALLBACK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="115"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_UART,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="preprocessor">#define<sp />CY_RSLT_ERR_CSP_UART_GETC_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="118"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_UART,<sp />2))</highlight><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="preprocessor">#define<sp />CY_RSLT_WRN_CSP_UART_BAUD_TOLERANCE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="121"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_WARNING,<sp />CYHAL_RSLT_MODULE_UART,<sp />3))</highlight><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="preprocessor">#define<sp />CYHAL_UART_RSLT_ERR_SHARED_CLOCK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="124"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_UART,<sp />4))</highlight><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="preprocessor">#define<sp />CYHAL_UART_DEFAULT_BAUD<sp />115200</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="preprocessor">#define<sp />CYHAL_UART_MAX_BAUD_PERCENT_DIFFERENCE<sp />10</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal" /><highlight class="comment">/****************************************************************</highlight></codeline>
<codeline lineno="137"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp />Enumerations</highlight></codeline>
<codeline lineno="138"><highlight class="comment">*****************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal">{</highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1gga410f06ac3fe5576220caf146fda6b77ba327098a8b49fceb10e330d561019d8cb">CYHAL_UART_PARITY_NONE</ref>,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1gga410f06ac3fe5576220caf146fda6b77ba47c0ca4d5811d418e1bdaea54da62f7f">CYHAL_UART_PARITY_EVEN</ref>,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1gga410f06ac3fe5576220caf146fda6b77bad3844eeec5198449f882f5b3509282ea">CYHAL_UART_PARITY_ODD</ref>,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="147"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__uart_1ga410f06ac3fe5576220caf146fda6b77b">cyhal_uart_parity_t</ref>;</highlight></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal">{</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaadc15f333858441e62e2de2408a5ac767">CYHAL_UART_IRQ_NONE</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0,<sp /></highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaaafb0642f2b2672db3ab4446e4c075864">CYHAL_UART_IRQ_TX_TRANSMIT_IN_FIFO</ref><sp />=<sp />1<sp />&lt;&lt;<sp />1,<sp /></highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaa656718b2b8343a46a64478b1d415bfc4">CYHAL_UART_IRQ_TX_DONE</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />2,<sp /></highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaa9984c9f5e7f3b57c9740d390c35388db">CYHAL_UART_IRQ_TX_ERROR</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />3,<sp /></highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaa7d073741825cc32b1be09fa59d6c8123">CYHAL_UART_IRQ_RX_FULL</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />4,<sp /></highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaac2db86894106691360ad64c35d33b578">CYHAL_UART_IRQ_RX_DONE</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />5,<sp /></highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaa7f5d1f47a602c8ac0df06c121bf4ce46">CYHAL_UART_IRQ_RX_ERROR</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />6,<sp /></highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaa9b64ead890054ee5943b58bafc0f367e">CYHAL_UART_IRQ_RX_NOT_EMPTY</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />7,<sp /></highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1ggaf307283f3d358e4b6048846034df19aaa0c7868cf2a2719db7fc2cb8c357e47a9">CYHAL_UART_IRQ_TX_EMPTY</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />8,<sp /></highlight></codeline>
<codeline lineno="161"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__uart_1gaf307283f3d358e4b6048846034df19aa">cyhal_uart_event_t</ref>;</highlight></codeline>
<codeline lineno="162"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal" /><highlight class="comment">/****************************************************************</highlight></codeline>
<codeline lineno="164"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp />Typedef</highlight></codeline>
<codeline lineno="165"><highlight class="comment">*****************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="169" refid="structcyhal__uart__cfg__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal">{</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />data_bits;<sp /></highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />stop_bits;<sp /></highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__uart_1ga410f06ac3fe5576220caf146fda6b77b">cyhal_uart_parity_t</ref><sp />parity;<sp /></highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*rx_buffer;<sp /></highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />rx_buffer_size;<sp /></highlight></codeline>
<codeline lineno="176"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcyhal__uart__cfg__t">cyhal_uart_cfg_t</ref>;</highlight></codeline>
<codeline lineno="177"><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<ref kindref="member" refid="group__group__hal__uart_1gac444f4c849b289d99a75e0132f04fb65">cyhal_uart_event_callback_t</ref>)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg,<sp /><ref kindref="member" refid="group__group__hal__uart_1gaf307283f3d358e4b6048846034df19aa">cyhal_uart_event_t</ref><sp />event);</highlight></codeline>
<codeline lineno="181"><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="183"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Functions</highlight></codeline>
<codeline lineno="184"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1gae62874a1a5484721c90ea53993d791d6">cyhal_uart_init</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />tx,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />rx,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref><sp />*clk,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__uart__cfg__t">cyhal_uart_cfg_t</ref><sp />*cfg);</highlight></codeline>
<codeline lineno="202"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__uart_1ga51731996aca653fc76caee4cc7ad684f">cyhal_uart_free</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="208"><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1ga14dcad3682e9b49e70b7f1e77cd862cc">cyhal_uart_set_baud</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj,<sp />uint32_t<sp />baudrate,<sp />uint32_t<sp />*actualbaud);</highlight></codeline>
<codeline lineno="221"><highlight class="normal" /></codeline>
<codeline lineno="229"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1ga4af8ba6ff0012214be498a001f1ac782">cyhal_uart_configure</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__uart__cfg__t">cyhal_uart_cfg_t</ref><sp />*cfg);</highlight></codeline>
<codeline lineno="230"><highlight class="normal" /></codeline>
<codeline lineno="239"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1ga89108b2d339dc9863ec660588e3a4a12">cyhal_uart_getc</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj,<sp />uint8_t<sp />*value,<sp />uint32_t<sp />timeout);</highlight></codeline>
<codeline lineno="240"><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1ga2184202b0b3995fcf625caf9f8c3dc05">cyhal_uart_putc</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj,<sp />uint32_t<sp />value);</highlight></codeline>
<codeline lineno="248"><highlight class="normal" /></codeline>
<codeline lineno="254"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__hal__uart_1gad85e26dd47eecd9705ab1931253c20f1">cyhal_uart_readable</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="255"><highlight class="normal" /></codeline>
<codeline lineno="261"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__hal__uart_1ga760296fe084b3e0ab3cdd1fba745a8b3">cyhal_uart_writable</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="262"><highlight class="normal" /></codeline>
<codeline lineno="268"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1gadc1932516baa1bd7285527a5a7456d75">cyhal_uart_clear</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="269"><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1ga318d61213f3485bbfbb723243f6a6b61">cyhal_uart_set_flow_control</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />cts,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />rts);</highlight></codeline>
<codeline lineno="279"><highlight class="normal" /></codeline>
<codeline lineno="291"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1ga2be8141bcc5fcc349b0dce1c09c4e98f">cyhal_uart_write</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*tx,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />*tx_length);</highlight></codeline>
<codeline lineno="292"><highlight class="normal" /></codeline>
<codeline lineno="304"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1gae436ac5108e3bc92f439c66c315e07ca">cyhal_uart_read</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*rx,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />*rx_length);</highlight></codeline>
<codeline lineno="305"><highlight class="normal" /></codeline>
<codeline lineno="319"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1gab569e52660c519b775e3a15f3e2dbb46">cyhal_uart_write_async</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*tx,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />length);</highlight></codeline>
<codeline lineno="320"><highlight class="normal" /></codeline>
<codeline lineno="334"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1ga00ef108f7ee7beba3d5090b2e506b54f">cyhal_uart_read_async</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*rx,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />length);</highlight></codeline>
<codeline lineno="335"><highlight class="normal" /></codeline>
<codeline lineno="341"><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__uart_1ga5ee15173efae0edfa0813e8b78a1a467">cyhal_uart_is_tx_active</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="342"><highlight class="normal" /></codeline>
<codeline lineno="348"><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__uart_1ga84bd3dc69297980c77697dcecbac4a57">cyhal_uart_is_rx_active</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="349"><highlight class="normal" /></codeline>
<codeline lineno="356"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1gaa143498ce81a014c19bcd1e8ad43a3f6">cyhal_uart_write_abort</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="357"><highlight class="normal" /></codeline>
<codeline lineno="364"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__uart_1ga94980c5a10527027be1da8e11bc34a98">cyhal_uart_read_abort</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="365"><highlight class="normal" /></codeline>
<codeline lineno="374"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__uart_1gae26bab64811713b1d69170352fe32c20">cyhal_uart_register_callback</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__uart_1gac444f4c849b289d99a75e0132f04fb65">cyhal_uart_event_callback_t</ref><sp />callback,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg);</highlight></codeline>
<codeline lineno="384"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__uart_1ga4dae4cef7dbf1d7935fe6dd6d31f282e">cyhal_uart_enable_event</ref>(<ref kindref="compound" refid="structcyhal__uart__t">cyhal_uart_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__uart_1gaf307283f3d358e4b6048846034df19aa">cyhal_uart_event_t</ref><sp />event,<sp />uint8_t<sp />intr_priority,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable);</highlight></codeline>
<codeline lineno="385"><highlight class="normal" /></codeline>
<codeline lineno="386"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="387"><highlight class="normal">}</highlight></codeline>
<codeline lineno="388"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="389"><highlight class="normal" /></codeline>
<codeline lineno="390"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CYHAL_UART_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="391"><highlight class="normal" /><highlight class="preprocessor">#include<sp />CYHAL_UART_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="392"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CYHAL_UART_IMPL_HEADER<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="393"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" />
  </compounddef>
</doxygen>